# SPDX-FileCopyrightText: (C) ColdFront Authors
#
# SPDX-License-Identifier: AGPL-3.0-or-later

from coldfront.config.base import INSTALLED_APPS
from coldfront.config.env import ENV

INSTALLED_APPS += [
    "coldfront.plugins.auto_compute_allocation",
]

AUTO_COMPUTE_ALLOCATION_CORE_HOURS = ENV.int("AUTO_COMPUTE_ALLOCATION_CORE_HOURS", default=0)
AUTO_COMPUTE_ALLOCATION_CORE_HOURS_TRAINING = ENV.int("AUTO_COMPUTE_ALLOCATION_CORE_HOURS_TRAINING", default=0)
AUTO_COMPUTE_ALLOCATION_END_DELTA = ENV.int("AUTO_COMPUTE_ALLOCATION_END_DELTA", default=365)
AUTO_COMPUTE_ALLOCATION_CHANGEABLE = ENV.bool("AUTO_COMPUTE_ALLOCATION_CHANGEABLE", default=True)
AUTO_COMPUTE_ALLOCATION_LOCKED = ENV.bool("AUTO_COMPUTE_ALLOCATION_LOCKED", default=False)
AUTO_COMPUTE_ALLOCATION_FAIRSHARE_INSTITUTION = ENV.bool("AUTO_COMPUTE_ALLOCATION_FAIRSHARE_INSTITUTION", default=False)
AUTO_COMPUTE_ALLOCATION_CLUSTERS = ENV.tuple("AUTO_COMPUTE_ALLOCATION_CLUSTERS", default=())
# example auto|Cluster| results in auto|Cluster|CDF0001 where CDF0001 is an example project_code for pk=1
AUTO_COMPUTE_ALLOCATION_DESCRIPTION = ENV.str("AUTO_COMPUTE_ALLOCATION_DESCRIPTION", default="auto|Cluster|")
