# SPDX-FileCopyrightText: (C) ColdFront Authors
#
# SPDX-License-Identifier: AGPL-3.0-or-later

# Generated by Django 4.2.11 on 2025-03-12 13:44

from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("project", "0004_auto_20230406_1133"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="historicalproject",
            options={
                "get_latest_by": ("history_date", "history_id"),
                "ordering": ("-history_date", "-history_id"),
                "verbose_name": "historical project",
                "verbose_name_plural": "historical projects",
            },
        ),
        migrations.AlterModelOptions(
            name="historicalprojectattribute",
            options={
                "get_latest_by": ("history_date", "history_id"),
                "ordering": ("-history_date", "-history_id"),
                "verbose_name": "historical project attribute",
                "verbose_name_plural": "historical project attributes",
            },
        ),
        migrations.AlterModelOptions(
            name="historicalprojectattributetype",
            options={
                "get_latest_by": ("history_date", "history_id"),
                "ordering": ("-history_date", "-history_id"),
                "verbose_name": "historical project attribute type",
                "verbose_name_plural": "historical project attribute types",
            },
        ),
        migrations.AlterModelOptions(
            name="historicalprojectattributeusage",
            options={
                "get_latest_by": ("history_date", "history_id"),
                "ordering": ("-history_date", "-history_id"),
                "verbose_name": "historical project attribute usage",
                "verbose_name_plural": "historical project attribute usages",
            },
        ),
        migrations.AlterModelOptions(
            name="historicalprojectreview",
            options={
                "get_latest_by": ("history_date", "history_id"),
                "ordering": ("-history_date", "-history_id"),
                "verbose_name": "historical project review",
                "verbose_name_plural": "historical project reviews",
            },
        ),
        migrations.AlterModelOptions(
            name="historicalprojectuser",
            options={
                "get_latest_by": ("history_date", "history_id"),
                "ordering": ("-history_date", "-history_id"),
                "verbose_name": "historical project user",
                "verbose_name_plural": "historical Project User Status",
            },
        ),
        migrations.AddField(
            model_name="historicalproject",
            name="project_code",
            field=models.CharField(blank=True, max_length=10),
        ),
        migrations.AddField(
            model_name="project",
            name="project_code",
            field=models.CharField(blank=True, max_length=10),
        ),
        migrations.AlterField(
            model_name="historicalproject",
            name="history_date",
            field=models.DateTimeField(db_index=True),
        ),
        migrations.AlterField(
            model_name="historicalprojectattribute",
            name="history_date",
            field=models.DateTimeField(db_index=True),
        ),
        migrations.AlterField(
            model_name="historicalprojectattributetype",
            name="history_date",
            field=models.DateTimeField(db_index=True),
        ),
        migrations.AlterField(
            model_name="historicalprojectattributeusage",
            name="history_date",
            field=models.DateTimeField(db_index=True),
        ),
        migrations.AlterField(
            model_name="historicalprojectreview",
            name="history_date",
            field=models.DateTimeField(db_index=True),
        ),
        migrations.AlterField(
            model_name="historicalprojectuser",
            name="history_date",
            field=models.DateTimeField(db_index=True),
        ),
        migrations.AlterUniqueTogether(
            name="project",
            unique_together={("title", "pi")},
        ),
    ]
